@mixin keyframes($animationName) {
    @-webkit-keyframes #{$animationName} {
        @content;
    }
    @-moz-keyframes #{$animationName} {
        @content;
    }
    @-o-keyframes #{$animationName} {
        @content;
    }
    @keyframes #{$animationName} {
        @content;
    }
}

.content-slider {
	width: 100%;
	height: 200px;
}

.slider {
	height: 200px;
	width: 100%;
	max-width: 600px;
	margin: 80px auto 0;
	overflow: visible;
	position: relative;
	
	ul {
		margin: 0;
		padding: 0;
		position: relative;
	}

	li {
		width: 100%;
		height: 200px;
		position: absolute;
		top: -325px;
		list-style: none;

		&.anim1 {
			-moz-animation: cycle 15s linear infinite;
			-webkit-animation: cycle 15s linear infinite;
			animation: cycle 15s linear infinite;
		}

		&.anim2 {
			-moz-animation: cycle2 15s linear infinite;
			-webkit-animation: cycle2 15s linear infinite;
			animation: cycle2 15s linear infinite;
		}

		&.anim3 {
			-moz-animation: cycle3 15s linear infinite;
			-webkit-animation: cycle3 15s linear infinite;
			animation: cycle3 15s linear infinite;
		}

		&.anim4 {
			-moz-animation: cycle4 15s linear infinite;
			-webkit-animation: cycle4 15s linear infinite;
			animation: cycle4 15s linear infinite;
		}

		&.anim5 {
			-moz-animation: cycle5 15s linear infinite;
			-webkit-animation: cycle5 15s linear infinite;
			animation: cycle5 15s linear infinite;
		}
	}

	.quote {
		font-size: 25px;
		font-style: italic;
	}

	.source {
		font-size: 15px;
		text-align: right;
	}

	&:hover li {
		-moz-animation-play-state: paused;
		-webkit-animation-play-state: paused;
		animation-play-state: paused;
	}
}

.mask {
	overflow: hidden;
	height: 200px;
}

@include keyframes(cycle) {
	0% {
		top: 0px;
	}
	4% {
		top: 0px;
	}
	16% {
		top: 0px;
		opacity: 1;
		z-index: 0;
	}
	20% {
		top: 325px;
		opacity: 0;
		z-index: 0;
	}
	21% {
		top: -325px;
		opacity: 0;
		z-index: -1;
	}
	92% {
		top: -325px;
		opacity: 0;
		z-index: 0;
	}
	96% {
		top: -325px;
		opacity: 0;
	}
	100% {
		top: 0px;
		opacity: 1;
	}
}

@include keyframes(cycle2) {
	0% {
		top: -325px;
		opacity: 0;
	}
	16% {
		top: -325px;
		opacity: 0;
	}
	20% {
		top: 0px;
		opacity: 1;
	}
	24% {
		top: 0px;
		opacity: 1;
	}
	36% {
		top: 0px;
		opacity: 1;
		z-index: 0;
	}
	40% {
		top: 325px;
		opacity: 0;
		z-index: 0;
	}
	41% {
		top: -325px;
		opacity: 0;
		z-index: -1;
	}
	100% {
		top: -325px;
		opacity: 0;
		z-index: -1;
	}
}

@include keyframes(cycle3) {
	0% {
		top: -325px;
		opacity: 0;
	}
	36% {
		top: -325px;
		opacity: 0;
	}
	40% {
		top: 0px;
		opacity: 1;
	}
	44% {
		top: 0px;
		opacity: 1;
	}
	56% {
		top: 0px;
		opacity: 1;
	}
	60% {
		top: 325px;
		opacity: 0;
		z-index: 0;
	}
	61% {
		top: -325px;
		opacity: 0;
		z-index: -1;
	}
	100% {
		top: -325px;
		opacity: 0;
		z-index: -1;
	}
}

@include keyframes(cycle4) {
	0% {
		top: -325px;
		opacity: 0;
	}
	56% {
		top: -325px;
		opacity: 0;
	}
	60% {
		top: 0px;
		opacity: 1;
	}
	64% {
		top: 0px;
		opacity: 1;
	}
	76% {
		top: 0px;
		opacity: 1;
		z-index: 0;
	}
	80% {
		top: 325px;
		opacity: 0;
		z-index: 0;
	}
	81% {
		top: -325px;
		opacity: 0;
		z-index: -1;
	}
	100% {
		top: -325px;
		opacity: 0;
		z-index: -1;
	}
}

@include keyframes(cycle5) {
  0% {
	top: -325px;
	opacity: 0;
  }
  76% {
	top: -325px;
	opacity: 0;
  }
  80% {
	top: 0px;
	opacity: 1;
  }
  84% {
	top: 0px;
	opacity: 1;
  }
  96% {
	top: 0px;
	opacity: 1;
	z-index: 0;
  }
  100% {
	top: 325px;
	opacity: 0;
	z-index: 0;
  }
}

.header-text-wrapper {
	align-items: center;
	display: flex;
	height: 100vh;
	justify-content: center;
	overflow: hidden;
	position: relative;
	text-align: center;
	transform-style: preserve-3d;
	perspective: 100px;
	background: linear-gradient(
      rgba(0, 0, 0, 0.5),
      rgba(0, 0, 0, 0.5)
    ),url("img/slider-1.jpg?size=2000") 0 0 no-repeat;
	background-size: cover;
	flex-direction: column;
}

.header-title, .header-subtitle {
	color: #FFF;
}

.header-title {
	font-size: 4em;
}

.header-subtitle {
  text-transform: uppercase;
  margin-bottom: 5rem;
}

.header-button {
  transform: translateZ(.1px);
  position: relative;
  z-index: 10;
}

.animate-pop-in {
  animation: pop-in .6s cubic-bezier(0, 0.9, 0.3, 1.2) forwards;
  opacity: 0;
}

.header-title {
  animation-delay: .8s;
}

.header-subtitle {
  animation-delay: 1s;
}

.header-button {
  animation-delay: 1.1s;
}

.header-logo-wrapper {
	width: 300px;

}


/* Animations */

@include keyframes(pop-in) {
  0% {
    opacity: 0;
    transform: translateY(-4rem) scale(.8);
  }
  100% {
    opacity: 1;
    transform: none;
  }
}

img {
	width: 100%;
}

.card-img-wrapper {
	width: 100%;
	height: 100%;	
}

.img-source {
	display: block;
	position: relative;
	overflow: hidden;
	margin: 0 auto;
}

.img-placeholder {
	width: 100%;
	position: absolute;
	left: 0;
	right: 0;
}

.img-source:not(.replace) {
	cursor: default;
}

.replace {
	position: absolute;
	left: 0;
	right: 0;
	will-change: opacity;
	animation: reveal 1s ease-out;
}

@keyframes reveal {
	0% { opacity: 0; }
	100% { opacity: 1; }
}

.logo-circle {
	animation: reveal 1s ease-out;
}

.logo-line {
	overflow: hidden;
	display: inline-block;
	animation: drawLines 1.5s linear;
}

@include keyframes(drawLines) {
	0% {
		stroke-dasharray: 140 540;
		stroke-dashoffset: -474;
	}
	100% {
		stroke-dasharray: 760;
		stroke-dashoffset: 0;
	}
}